%define upstream_name    Dist-Zilla-Plugin-CheckStrictVersion
%define upstream_version 0.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    BeforeRelease plugin to check for a strict version number
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Version::Next)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module enforces strict versions, with optional enforcement of
'decimal' or 'tuple' (a.k.a 'dotted decimal') forms.

As a reminder, here are the rules for strict versions from the
version::Internals manpage:

    v1.234.5
        For dotted-decimal versions, a leading 'v' is required, with three
        or more sub-versions of no more than three digits. A leading 0
        (zero) before the first sub-version (in the above example, '1') is
        also prohibited.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes CONTRIBUTING LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1494221
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-3.mga7
+ Revision: 1267508
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-2.mga6
+ Revision: 1026178
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 shlomif <shlomif> 0.1.0-1.mga6
+ Revision: 916529
- imported package perl-Dist-Zilla-Plugin-CheckStrictVersion


* Mon Dec 28 2015 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
